# vue-autolink-component

Probably the easiest autolink solution for Vue.js

### Features & characteristics:

- convert url to 'a tag'.
- consider \n.

## Install & basic usage

```bash
npm install vue-autolink-component
```

```vue
<template>
  <div>
    <VueAutolinkComponent :message="text"></VueAutolinkComponent>
  </div>
</template>

<script>
import VueAutolinkComponent from "vue-autolink-component";
import "vue-autolink-component/dist/vue-autolink-component.css";

export default {
  components: {
    VueAutolinkComponent
  },
  data() {
    return {
      text: `a text including URL
      like https://www.google.com/`
    };
  }
};
</script>
```

The output will be

![output](https://user-images.githubusercontent.com/19358565/59347127-d6aae400-8d4e-11e9-88bb-0926f54726b7.png)

If you would like to change styles for linked word, just do like below.

```vue
<style scoped>
.vue-autolink-component >>> .vue-autokink-component__link {
  /* Note! this is a default setting. */
  color: #0026ca;
  cursor: pointer;
  text-decoration: none;
}
</style>
```
